Package com.google.android.exoplayer2.transformer

## Class Muxer.MuxerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.transformer.Muxer.MuxerException

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    Muxer

      public static final class Muxer.MuxerException
      extends Exception

  Thrown when a muxing failure occurs.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MuxerException​(String message, Throwable cause)` | Creates an instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MuxerException

          public MuxerException​(String message,
                                Throwable cause)

      Creates an instance.
      Parameters:
        `message` - See `Throwable.getMessage()`.
        `cause` - See `Throwable.getCause()`.